package zero1hd.rhythmbullet.util;

public interface ScreenConfiguration {
	public void setFramesPerSecond(int fps);
		
	public int getTargetFramesPerSecond();
	
	/**
	 * @param useVsync whether or not to use vSync.
	 */
	public void setVsync(boolean useVsync);
	
	public boolean getVsync();
	
	public int getScreenWidth();
	
	public int getScreenHeight();
	
	public int getWindowPosX();
	
	public int getWindowPosY();
	
	public void setWindowLocationX(int x);
	
	public void setWindowLocationY(int y);
	
	public void setWindowLocation(int x, int y);
	
	public void queueBorderless(boolean borderless);
}
